Bug 506804 - Review Request: anerley - Moblin widgets for people information
Review Request: anerley - Moblin widgets for people information
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 506721 511895
Blocks: FedoraMoblin20 507849 513452
  Show dependency treegraph
 
Reported: 2009-06-18 13:58 EDT by Peter Robinson
Modified: 2009-08-11 09:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 09:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sebastian: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-18 13:58:26 EDT
SPEC: http://pbrobinson.fedorapeople.org/anerley.spec
SRPM: http://pbrobinson.fedorapeople.org/anerley-0.0.9-1.fc11.src.rpm

Moblin widgets for people information
Comment 1 Yanko Kaneti 2009-07-01 01:22:34 EDT
Upstream is already at 0.0.12

./autogen.sh
%configure --disable-static

autogens tend to run configure, so here we have it twice which I think is best avoided, say
./autogen.sh --help > /dev/null
or looking at what autogen does
autoreconf -v -i

Requires: gtk-doc   doesn't seem to be necessary, no doc build setup upstream yet
Comment 2 Peter Robinson 2009-07-01 04:40:24 EDT
> Upstream is already at 0.0.12

Yes. Its moving quite quickly but 0.0.9 is currently what upstream is using. The plan was to get the basic moblin working and then moving components to newer versions where its easier to see what broke.

> ./autogen.sh
> %configure --disable-static
>
> autogens tend to run configure, so here we have it twice which I think is best
> avoided, say
> ./autogen.sh --help > /dev/null
> or looking at what autogen does
> autoreconf -v -i

I leave it there in the dream that one day they will do releases with make dist :)
 
> Requires: gtk-doc   doesn't seem to be necessary, no doc build setup upstream
> yet  

Yes, I'd already fixed that on my local copy.
Comment 3 Peter Robinson 2009-07-04 10:22:41 EDT
Updated to the latest upstream release - 0.0.13

SPEC: as above
SRPM: http://pbrobinson.fedorapeople.org/anerley-0.0.13-1.fc11.src.rpm

Koji build here: http://koji.fedoraproject.org/koji/taskinfo?taskID=1454154
Comment 4 Jeff Garzik 2009-07-19 05:53:17 EDT
I think ./autogen.sh invocation should be in %prep stage not %build.  Maybe that's a matter of taste.

And include a comment in the specfile, describing why the configure inside the tarball is insufficient, and must be regenerated.
Comment 5 Jeff Garzik 2009-07-19 05:55:06 EDT
Whoops, I missed the comment near the BuildRequires.
Comment 6 Peter Robinson 2009-07-19 06:00:50 EDT
(In reply to comment #4)
> I think ./autogen.sh invocation should be in %prep stage not %build.  Maybe
> that's a matter of taste.

I've always seen it just above configure as it runs configure as part of it. Some suggest you drop the configure line as part of it but I tend to leave it for consistency and to ensure the exact results I was after (not sure if the rpm macro does anything special as well)
Comment 7 Ralf Corsepius 2009-07-19 06:42:04 EDT
autogen.sh generates source code. I.e. it's working principle is similar to applying patches.

=> If autogen/autoreconf is being used during rpm builts it should be run in %prep

On a wider scale, only people, who don't understand the working principles of the autotools run any autotool when building rpms.
Comment 8 Peter Robinson 2009-07-19 06:48:35 EDT
> On a wider scale, only people, who don't understand the working principles of
> the autotools run any autotool when building rpms.  

I've seen the discussion on fedora-devel. please leave it there.
Comment 9 Peter Robinson 2009-07-21 19:30:45 EDT
New upstream release. Adds translations. Adding dep on clutter-imcontext as
this release depends on a new nbtk which in turn depends on clutter-im.context

SRPM: http://pbrobinson.fedorapeople.org/anerley-0.0.17-1.fc11.src.rpm
Comment 10 Peter Robinson 2009-07-27 05:26:55 EDT
New upstream release, and a build now all the deps are in rawhide :)

SRPM: http://pbrobinson.fedorapeople.org/anerley-0.0.18-1.fc11.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1532838
Comment 11 Sebastian Dziallas 2009-08-04 10:26:24 EDT
So I'm going to take on this one... :)
Comment 12 Sebastian Dziallas 2009-08-04 10:49:32 EDT
Okay, here we go!

* The version number in the changelog looks like a typo.
* I guess the %description could be a little bit expanded... ;)
* Upstream is apparently at version 0.0.20 right now, please update!

Otherwise, looks good to me. Please address the points and I'll approve the package.

---

MUST Items:

FAILED - MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

[sebastian@localhost ~]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/anerley-*.rpm
anerley.i586: W: incoherent-version-in-changelog 0.0.17-1 ['0.0.18-1.fc12', '0.0.18-1']
anerley-devel.i586: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

OK - MUST: The package must be named according to the Package Naming Guidelines .
OK - MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 
OK - MUST: The package must meet the Packaging Guidelines .
OK - MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK - MUST: The License field in the package spec file must match the actual license. [3]
OK - MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK - MUST: The spec file must be written in American English. [5]
OK - MUST: The spec file for the package MUST be legible. [6]
OK - MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK - MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK - MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK - MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
OK - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [11]
OK - MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]
OK - MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]
OK - MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]
OK - MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]
OK - MUST: Each package must consistently use macros. [16]
OK - MUST: The package must contain code, or permissable content. [17]
N/A - MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK - MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK - MUST: Header files must be in a -devel package. [19]
N/A - MUST: Static libraries must be in a -static package. [20]
OK - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [21]
OK - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
OK - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [22]
OK - MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [23]
OK - MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]
OK - MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
OK - MUST: All filenames in rpm packages must be valid UTF-8. [26]

SHOULD Items:

N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [27]
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [28]
OK - SHOULD: The reviewer should test that the package builds in mock. [29]
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [22]
OK - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [21]
Comment 13 Peter Robinson 2009-08-04 11:06:53 EDT
(In reply to comment #12)
> Okay, here we go!
> 
> * The version number in the changelog looks like a typo.

Yes, copy and paste error in the 0.0.18 entry. Fixed.

> * I guess the %description could be a little bit expanded... ;)

I've expanded it a little bit, suggestions welcome.

> * Upstream is apparently at version 0.0.20 right now, please update!

Updated.

SRPM: http://pbrobinson.fedorapeople.org/anerley-0.0.20-1.fc11.src.rpm

Thanks.
Comment 14 Sebastian Dziallas 2009-08-04 11:21:33 EDT
Building this fails right now in Rawhide due to dependency issues with nbtk-devel, but once this is fixed, I'll approve it.

--Sebastian
Comment 15 Sebastian Dziallas 2009-08-04 15:04:32 EDT
It's building fine now in Rawhide (see scratch build here: http://koji.fedoraproject.org/koji/taskinfo?taskID=1581355) so this package is APPROVED.
Comment 16 Peter Robinson 2009-08-04 18:34:53 EDT
Thanks!

New Package CVS Request
=======================
Package Name: anerley
Short Description: Moblin widgets for people information
Owners: pbrobinson
Branches: F-11
InitialCC:
Comment 17 Jason Tibbitts 2009-08-05 02:09:53 EDT
CVS done.
Comment 18 Peter Robinson 2009-08-05 04:02:28 EDT
built and on its way to rawhide.
Comment 19 Peter Robinson 2009-08-11 09:34:41 EDT
Now in rawhide. Thanks for the review :-)

Note You need to log in before you can comment on or make changes to this bug.